STRICT = true
DEBUG = true

require 'zoetrope'

--require 'sprite'
require 'version'

require 'player'

GameView = View:extend {
   onNew = function (self)
              bg = Tile:new{image = 'data/forest1-bg.png'}
              fg = Tile:new{image = 'data/forest1-fg.png'}
              the.player = Player:new{x = 196, y = 350}
              self:add(bg)
              self:add(the.player)
              self:add(fg)

              --self:loadLayers('data/map.lua')
              --self.focus = the.player
              --self:clampTo(self.map)
           end,
   draw = function (self, x, y)
             View.draw(self, x, y)
             love.graphics.print('FPS:' .. love.timer.getFPS(), 20, 20)
             love.graphics.print('version:' .. VERSION, 20, 570)
          end
}

the.app = App:new {
   onRun = function (self)
              self.view = GameView:new()
              if DEBUG then
                 self.console:watch('VERSION', 'VERSION')
                 self.console:watch('updateTook', 'the.updateTook')
                 --self.console:watch('drawTook', 'the.drawTook')
              end
           end,
   onUpdate = function (self, dt)
                 if the.keys:justPressed('escape') then
                    self.quit()
                 end
              end,
   update = function (self, dt)
               the.updateStart = love.timer.getMicroTime()
               App.update(self, dt)
               if the.updateStart then
                  the.updateTook = love.timer.getMicroTime() - the.updateStart
               end
            end
}
